#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This file sets up the environment correctly for building.
# Note that this file thus needs to be sourced.
# ------------------------------------------------------------------------------

# Clean all used modules, then load the ones required.
module purge
module load LUMI/23.09 partition/G PrgEnv-cray cce/16.0.1
module load craype/2.7.23
module load cray-mpich cray-libsci cray-fftw cray-python
module load cray-hdf5-parallel cray-netcdf-hdf5parallel
module load buildtools

# Load a custom ROCm version from a custom module.
module use /pfs/lustrep2/projappl/project_462000125/samantao-public/mymodules
module load rocm/5.4.3
